aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.SetIdentityDkimEnabled

Synopsis

- data SetIdentityDkimEnabled = SetIdentityDkimEnabled {
  - sdDkimEnabled :: Bool
  - sdIdentity :: Text
  }
- data SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse

# Documentation

data SetIdentityDkimEnabled #

Change whether bounces and complaints for the given identity will be DKIM signed.

Constructors

SetIdentityDkimEnabled |

Fields

- sdDkimEnabled :: Bool
- sdIdentity :: Text

#### Instances

Instances details

SignQuery SetIdentityDkimEnabled # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type ServiceConfiguration SetIdentityDkimEnabled |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ServiceConfiguration SetIdentityDkimEnabled = SesConfiguration

Methods

signQuery :: SetIdentityDkimEnabled -> ServiceConfiguration SetIdentityDkimEnabled queryType -> SignatureData -> SignedQuery #

Show SetIdentityDkimEnabled # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled Methods showsPrec :: Int -> SetIdentityDkimEnabled -> ShowS # show :: SetIdentityDkimEnabled -> String # showList :: [SetIdentityDkimEnabled] -> ShowS #
Eq SetIdentityDkimEnabled # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled Methods (==) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool # (/=) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool #
Ord SetIdentityDkimEnabled # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Methods

compare :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Ordering #

(<) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool #

(<=) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool #

(>) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool #

(>=) :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> Bool #

max :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> SetIdentityDkimEnabled #

min :: SetIdentityDkimEnabled -> SetIdentityDkimEnabled -> SetIdentityDkimEnabled #

ResponseConsumer SetIdentityDkimEnabled SetIdentityDkimEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type ResponseMetadata SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityDkimEnabled -> IORef (ResponseMetadata SetIdentityDkimEnabledResponse) -> HTTPResponseConsumer SetIdentityDkimEnabledResponse #

Transaction SetIdentityDkimEnabled SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled
type ServiceConfiguration SetIdentityDkimEnabled # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ServiceConfiguration SetIdentityDkimEnabled = SesConfiguration

data SetIdentityDkimEnabledResponse #

The response sent back by SES after the `SetIdentityDkimEnabled` command.

Constructors

SetIdentityDkimEnabledResponse |

#### Instances

Instances details

AsMemoryResponse SetIdentityDkimEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type MemoryResponse SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type MemoryResponse SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse

Methods

loadToMemory :: SetIdentityDkimEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityDkimEnabledResponse) #

Show SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled Methods showsPrec :: Int -> SetIdentityDkimEnabledResponse -> ShowS # show :: SetIdentityDkimEnabledResponse -> String # showList :: [SetIdentityDkimEnabledResponse] -> ShowS #
Eq SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled Methods (==) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool # (/=) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool #
Ord SetIdentityDkimEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Methods

compare :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Ordering #

(<) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool #

(<=) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool #

(>) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool #

(>=) :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> Bool #

max :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse #

min :: SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse -> SetIdentityDkimEnabledResponse #

ResponseConsumer SetIdentityDkimEnabled SetIdentityDkimEnabledResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type ResponseMetadata SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityDkimEnabled -> IORef (ResponseMetadata SetIdentityDkimEnabledResponse) -> HTTPResponseConsumer SetIdentityDkimEnabledResponse #

Transaction SetIdentityDkimEnabled SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled
type MemoryResponse SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type MemoryResponse SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse
type ResponseMetadata SetIdentityDkimEnabledResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata